Name:           perl-MooseX-Storage
Summary:        A serialization framework for Moose classes
Version:        0.32
Release:        4%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-Storage-%{version}.tar.gz
URL:            http://search.cpan.org/dist/MooseX-Storage
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(CPAN)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.36
BuildRequires:  perl(Moose) >= 0.99
BuildRequires:  perl(String::RewritePrefix)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires) >= 0.05
# test BR
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Test::JSON)
BuildRequires:  perl(JSON::Any)
BuildRequires:  perl(Test::Without::Module)
BuildRequires:  perl(IO::AtomicFile)
BuildRequires:  perl(YAML::Any)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::XS)
#BuildRequires:  perl(MooseX::Storage::Format::JSONpm)

%{?perl_default_filter}

%description
MooseX::Storage is a serialization framework for Moose, it provides a
very flexible and highly pluggable way to serialize Moose classes to a
number of different formats and styles. This is still an early release
of this module, so use with caution. It's outward facing serialization
API should be considered stable, but I still reserve the right to make
tweaks if I need too. Anything beyond the basic pack/unpack, freeze/thaw
and load/store should not be relied on. There are 3 levels to the
serialization, each of which builds upon the other and each of which
can be customized to the specific needs of your class.


%prep
%setup -q -n MooseX-Storage-%{version}

# silence rpmlint warnings
sed -i '1s,#!.*perl,#!%{__perl},' t/*.t t/*/*.t
chmod 0644 t/*.t t/*/*.t

%build
%{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.32-3
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Iain Arnell <iarnell@gmail.com> 0.32-1
- update to latest upstream version
- drop old tests sub-package obsoletes/provides
- clean up spec for modern rpmbuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 0.31-2
- Perl 5.16 rebuild

* Wed Feb 29 2012 Iain Arnell <iarnell@gmail.com> 0.31-1
- update to latest upstream version

* Sun Jan 22 2012 Iain Arnell <iarnell@gmail.com> 0.30-3
- drop tests subpackage; move tests to main package documentation

* Tue Jan 17 2012 Iain Arnell <iarnell@gmail.com> - 0.30-2
- rebuilt again for F17 mass rebuild

* Sat Jan 14 2012 Iain Arnell <iarnell@gmail.com> 0.30-1
- update to latest upstream version
- additional BRs for better test coverage
- remove explicit requires

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.29-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Mašláňová <mmaslano@redhat.com> 0.29-1
- update by Fedora::App::MaintainerTools 0.006
- PERL_INSTALL_ROOT => DESTDIR
- updating to latest GA CPAN version (0.29)
- altered br on perl(Moose) (0.39 => 0.99)
- added a new br on perl(String::RewritePrefix) (version 0)
- altered br on perl(Test::More) (0.42 => 0.88)
- added a new br on perl(Test::Requires) (version 0.05)
- dropped old BR on perl(Best)
- dropped old BR on perl(Digest)
- dropped old BR on perl(Encode)
- dropped old BR on perl(File::NFSLock)
- dropped old BR on perl(File::Spec::Functions)
- dropped old BR on perl(File::Temp)
- dropped old BR on perl(Moose::Util::TypeConstraints)
- dropped old BR on perl(Scalar::Util)
- dropped old BR on perl(Storable)
- dropped old BR on perl(Test::Pod)
- dropped old BR on perl(Test::Pod::Coverage)
- dropped old BR on perl(Test::TempDir)
- dropped old BR on perl(Test::YAML::Valid)
- dropped old BR on perl(YAML::Syck)
- altered req on perl(Moose) (0.39 => 0.99)
- added a new req on perl(String::RewritePrefix) (version 0)

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-3
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-2
- rebuild against perl 5.10.1

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- auto-update to 0.21 (by cpan-spec-update 0.01)
- added a new req on perl(Moose) (version 0.39)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-2
- add br on CPAN until bundled M::I is updated

* Thu Jun 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- auto-update to 0.18 (by cpan-spec-update 0.01)

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- update grammatically poor summary

* Sun Apr 12 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- update to 0.17

* Wed Apr 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- update for submission

* Mon Mar 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
